Aller au contenu principal
Sujet résolu
Ce sujet a été marqué résolu et ne nécessite aucune autre attention.
Sujet: Digikam ne s'ouvre plus et demande une librairie... (Lu 1762 fois) sujet précédent - sujet suivant

Digikam ne s'ouvre plus et demande une librairie...

... qui semble être déjà là...
Bonjour les gens.

Mon Digikam ne s'ouvre plus et lorsque je tente en console voici le message d'insulte que je reçois :
digikam: error while loading shared libraries: libopenblas.so.0: cannot open shared object file: No such file or directory
Le problème c'est que cette librairie semble présente ou du moins semble fournie par plusieurs librairies installées

J'ai cherché avec ce message sur le net mais bredouille je  suis resté.

Quelqu'un.e a déjà eu ce problème ?
Amicalement
Philippe

Re : Digikam ne s'ouvre plus et demande une librairie...

Répondre #1
Salut,

C'est curieux puisque, d'après YaST, libopenblas ne fait pas partie des dépendances pour Digikam... :(

As-tu essayé de (ré)installer ce libopenblas ?

Chez moi, j'ai un libopenblas_pthreads0 installé par défaut.


à plus,
oh!rocks

Re : Digikam ne s'ouvre plus et demande une librairie...

Répondre #2
Salut @oh!rocks

Oui, moi aussi j'ai que ce libopenblas_pthreads0 qui est installé, je sais pas a quoi il sert.

Non, j'ai pas essayé de désinstaller / réinstaller... Je vais tester sauf s'il m'annonce que ça va trop foutre la grouille...

A noter que ce soir j'ai fais une mise à jour mais ... comme d'habitude, j'ai pas vraiment regardé ce qu'il a mis à jour... Je sais ...; Je sais ... Je devrais...
Amicalement
Philippe

Re : Digikam ne s'ouvre plus et demande une librairie...

Répondre #3
Rebonsoir,

J'ai essayé ... ça a voulu que j'installe un libopenblas_openm j'ai dis OK... mais ça a rien changé...
Toujours le même message d'erreur en CLI
Je crois que je vais pas bidouiller plus loin et attendre voir s'il y a pas une mise à jours future qui règlerait ça ... Après tout c'est une TW... ça bouge beaucoup...
Philippe

Re : Digikam ne s'ouvre plus et demande une librairie...

Répondre #4
Je viens d'installer Digikam (aussi sur TW). Je n'ai pas ce problème. Vraiment curieux.


à plus,
oh!rocks

Re : Digikam ne s'ouvre plus et demande une librairie...

Répondre #5
Mon Digikam ne s'ouvre plus et lorsque je tente en console voici le message d'insulte que je reçois :
digikam: error while loading shared libraries: libopenblas.so.0: cannot open shared object file: No such file or directory
Le problème c'est que cette librairie semble présente ou du moins semble fournie par plusieurs librairies installées

Quelqu'un.e a déjà eu ce problème ?

Bonsoir,

Je rencontre le même problème avec Digikam ce soir. Je n'ai pas trop fouillé la question pour le moment.

Re : Digikam ne s'ouvre plus et demande une librairie...

Répondre #6
Bonjour,

Problème identique rencontré sur ma tour. Comme mon portable est légèrement en retard sur les majs et que Digikam fonctionne avec lui, j'ai pu voir le contenu de la maj responsable.

Chargement des données du dépôt...
Lecture des paquets installés...
Avertissement : Vous êtes sur le point d'exécuter une mise à niveau de distribution avec tous les dépôts activés. Assurez-vous que ces dépôts sont compatibles avant de continuer. Reportez-vous à 'man zypper' pour obtenir plus d'informations sur cette commande.
Calcul de la mise à niveau de la distribution...

Les 64 paquets suivants vont être mis à jour :
  dbus-1 dbus-1-common dbus-1-daemon dbus-1-tools dbus-1-x11 fuse3
  gstreamer-plugins-bad gstreamer-plugins-bad-lang libamd2 libblas3
  libcamd2 libccolamd2 libcholmod3 libcolamd2 libdbus-1-3 libfuse3-3
  libgbm1 libgstadaptivedemux-1_0-0 libgstbadaudio-1_0-0
  libgstbasecamerabinsrc-1_0-0 libgstcodecparsers-1_0-0 libgstcodecs-1_0-0
  libgstcuda-1_0-0 libgstisoff-1_0-0 libgstmpegts-1_0-0
  libgstphotography-1_0-0 libgstplay-1_0-0 libgstplayer-1_0-0
  libgstsctp-1_0-0 libgsturidownloader-1_0-0 libgstva-1_0-0
  libgstvulkan-1_0-0 libgstwayland-1_0-0 libgstwebrtc-1_0-0
  libgstwebrtcnice-1_0-0 libjxl0_8 liblapack3 libncurses6
  libopenblas_pthreads0 libopencv407 libopencv_imgcodecs407
  libsuitesparseconfig5 libumfpack5 libvulkan_intel Mesa Mesa-dri
  Mesa-gallium Mesa-libEGL1 Mesa-libGL1 Mesa-libglapi0 Mesa-libva
  Mesa-vulkan-device-select ncurses-utils openSUSE-release
  openSUSE-release-appliance-custom python310-cached-property
  python310-qt5-sip python38-cached-property python38-qt5-sip terminfo
  terminfo-base terminfo-iterm terminfo-screen yast2-network

Le produit suivant va être mis à jour :
  openSUSE Tumbleweed  20230210-0 -> 20230212-0

À noter parmi les candidats : libopenblas_pthreads0

J'ai testé un snapshot pour revenir en arrière et Digikam fonctionne bien sûr. Ce n'est pas urgent en ce qui me concerne et je vais attendre un peu.

Rien sur Bugzilla pour le moment je crois : https://bugzilla.opensuse.org/buglist.cgi?quicksearch=digikam

Ah! quelque chose de signaler ici : https://bugs.kde.org/show_bug.cgi?id=465680

Re : Digikam ne s'ouvre plus et demande une librairie...

Répondre #7
Oui apparemment c'est un problème de MAJ : je viens d'essayer aussi avec Twd à jour, impossible de lancer l'appli. Donc, attendre quelques jours au pire... Le prix de la Rolling ^^ (entre autre, il peut y avoir des problèmes similaires sur d'autres distros...)

Re : Digikam ne s'ouvre plus et demande une librairie...

Répondre #8
Sur VBox, c'est pareil : ne peut ouvrir libdigikamgui.so 7.0.9, alors que le paquet qui la contient est installé.

Re : Digikam ne s'ouvre plus et demande une librairie...

Répondre #9
La version installée avec Flatpak fonctionne, donc il y a un petit souci quelque part.

Re : Digikam ne s'ouvre plus et demande une librairie...

Répondre #10
Bug rapporté sur Bugzilla :

https://bugzilla.opensuse.org/show_bug.cgi?id=1208248

Proposition d'une solution dans la discussion sur ce bug :

sudo ln -s /usr/lib64/openblas-pthreads/libopenblas.so.0  /usr/lib64/libopenblas.so.0

Et ça fonctionne, Digikam se lance à nouveau  :)

 

Re : Digikam ne s'ouvre plus et demande une librairie...

Répondre #11
Merci @Chumi
Ta solution fonctionne !
Le Digikam s'ouvre à nouveau et fonctionne ... Yepeee !
Amicalement
Philippe